
package dev.sonpx.loyalty.mcp.filter;

import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * Handle for filtering String type with contains, doesNotContain
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ListContainsFilter extends Filter<String> {

    private String containsList;

    private String doesNotContainList;

    public ListContainsFilter setContainsList(String contains) {
        this.containsList = contains;
        return this;
    }

    public ListContainsFilter setDoesNotContainList(String doesNotContain) {
        this.doesNotContainList = doesNotContain;
        return this;
    }
}
